<?php
/**
 * DiscountSegmentsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Marketing.
 *
 * Маркетинг
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\MarketingClient;

use \Ensi\MarketingClient\Configuration;
use \Ensi\MarketingClient\ApiException;
use \Ensi\MarketingClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * DiscountSegmentsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class DiscountSegmentsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createDiscountSegment
     *
     * Создание объекта типа DiscountSegment.
     *
     */
    public function testCreateDiscountSegment()
    {
    }

    /**
     * Test case for deleteDiscountSegment
     *
     * Удаление объекта типа DiscountSegment.
     *
     */
    public function testDeleteDiscountSegment()
    {
    }

    /**
     * Test case for getDiscountSegment
     *
     * Получение объекта типа DiscountSegment.
     *
     */
    public function testGetDiscountSegment()
    {
    }

    /**
     * Test case for patchDiscountSegment
     *
     * Обновления части полей объекта типа DiscountSegment.
     *
     */
    public function testPatchDiscountSegment()
    {
    }

    /**
     * Test case for searchDiscountSegments
     *
     * Поиск объектов типа DiscountSegment.
     *
     */
    public function testSearchDiscountSegments()
    {
    }
}
